Create Lessons
Endpoint used to create lessons within a course in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request POST \ --url 'https://kong.api.toolzz.com.br/api/content/course/{course_id}/create_class' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "<string>", "description": "<string>", "duration": 60, "tag": [], "progress_criteria": [], "show_tilte": "true", "enable_lesson_view": "0", "scheduled_date": "2025-01-01" }'Response Example
Section titled “Response Example”{ "data": { "id": "<string>", "titulo": "<string>", "curso_id": "<string>" }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
course_id | string | ID of the course to which the lesson belongs. | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
title | string | Lesson title. Maximum of 150 characters. | Yes |
description | string | Lesson description. Maximum of 255 characters. | Yes |
duration | int | Total lesson duration. Maximum of 4 characters. | No |
tag | array | Tags related to the course, comma-separated. Maximum of 150 characters per tag. | No |
progress_criteria | string[] | Optional list of lesson IDs that must be completed to unlock the current lesson. The indicated lessons must belong to the same course specified by course_id. Invalid IDs will be ignored and only valid IDs will be registered. | No |
show_tilte | string | Defines if the lesson title will be displayed. true: Show title. false: Hide title. | No |
enable_lesson_view | string | Defines if the lesson can be accessed by guest users. 0: No. 1: Yes. | No |
scheduled_date | date | Date for future release of the lesson. | No |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.